> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/customization/access_sheet_directly_with_url.md).

# Access Sheet Directly with URL

By accessing the following URL, you can display the page that displays the created book and sheet directly on the screen.

`https://{{domain name of the Salesforce org}}/apex/msmxSheet__MsmxSheetView`

If you are in a Professional Edition Salesforce organization using the Mashmatrix Sheet for Professional Edition package, use the following URL.

`https://{{domain name of the Salesforce org}}/apex/msmxSheetPE__MsmxSheetView`

In the URL above, "domain name of the Salesforce org" can be determined by either of the following methods.

* If you have already set up "My Domain" in Salesforce, the domain you set.
  * You can confirm it from "Setup" > "Company Settings" > "My Domain"
* The domain name of the URL displayed in the URL location field of the web browser, just after logging into Salesforce.

On the above URL, it is possible to receive the following parameters as URL parameters.

* **id** – ID of the context record. This ID value is used as the "Context Record ID" of the ID filter.
* **bookId** – ID of the book to display. The value of book ID can be referred to from book or sheet setting.
* **sheetId** – ID of the sheet to display. The sheet ID value can be referred to from the sheet setting. If not specified, all the sheets included in the book are displayed in tabs.

For example, if you are using salesforce domain name `mydomain.my.salesforce.com` and display sheet`s1` of a book with book ID `a002v00004EE6cGAAT`, and also specify `0012v00002jFM1uAAG` as ID of the context record, the URL will be in the following format.

`https://mydomain.my.salesforce.com/apex/msmxSheet__MsmxSheetView?bookId=a002v00004EE6cGAAT&sheetId=s1&id=0012v00002jFM1uAAG`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/customization/access_sheet_directly_with_url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
